Bug 1295619 - connect to server does not work correctly with sftp paths
connect to server does not work correctly with sftp paths
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 21:57 EST by Neville A. Cross
Modified: 2016-12-20 12:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:36:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 760799 None None None 2016-01-21 18:04 EST

  None (edit)
Description Neville A. Cross 2016-01-04 21:57:28 EST
Description of problem:
I use nautilus to connect to a remote server and copy files from the server to the local machine. The server has openssh and therefore I can connect using sftp. In fedora 22 I was able to connect to the server using sftp://192.168.xxx.xx/var then I got a dialog asking for user and password. I used to enter root and the pass and got to the /var/ directory where I then was able to navigate down to the desired folder.

After upgrading to Fedora 23 the actions have changed. I have to click in "+ Other Sites" then I got a bar in the bottom of nautilus saying connect to server. When I put my connection string I end up in /root/ directory on the server. There is no way to navigate up and then down to my desired location.

I used the variation of sftp://root@192.168.xxx.xx/var and then I gott asked for the password and ended in the same /root/ directory

I am able to connect to the desired /var/ location using Filezilla.

Version-Release number of selected component (if applicable):
nautilus-3.18.4-1.fc23.x86_64

How reproducible:
All the times. I tested at my office computer, my home computer and my laptop. I tried to connect to different computers that were running fedora and openssh. It was also tested by a friend in his computer.

Steps to Reproduce:
1. Open Nautilus
2. Click +Other Locations
3. Enter an ip address of a machine running openssh in the connect to server field: sftp://192.168.0.xxx/var
4. Provide username and password


Actual results:
Nautilus shows the /root/ directory of the remote computer instead of /var/

Expected results:
I expect to be taken to the /var/ directory of the remote computer

Additional info:
I had problems with connect to server functionality in Fedora 16 as it was moved to the upper menu and the dialog windows where changed to just a connection string. Mostly because I wasn't able to find documentation about the change. I was suggested to use gigolo to get the same features that connect to server have in nautilus (Connecting to servers and making bookmarks). Not sure if this is a reaction from people frustrated with nautilus hidding menus and changing behavior without any notice.
Comment 1 Fedora End Of Life 2016-11-24 09:42:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:36:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.